=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk
export VERSION_STR=$(DEB_VERSION)

%:
	dh $@
