## vonsh 1.0%2Bds

=== debian/control ===
Source: vonsh
Section: games
Priority: optional
Maintainer: Andrzej Urbaniak <au742582@interia.pl>
Build-Depends: debhelper (>= 12), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
Standards-Version: 4.3.0
Homepage: https://github.com/aurb/vonsh/

Package: vonsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Snake-like game with line of people running around to get more food
 Player has to pick up foodstuffs appearing randomly on the board,
 and avoid colliding with obstacles and the line itself. With each picked up
 food item, line grows in length, new obstacles appear,
 and difficulty explodes ;). Game is based on libSDL.
