=== debian/changelog ===
vonsh (1.1-1) unstable; urgency=medium

  * Added user menu navigated with keyboard and/or mouse
  * Added a support for changing the board size or switching to full screen
  * Added configurable gameplay keys
  * Music and sound effects are now toggled from the user menu
  * Added highscore saving with "Hall of fame"
  * Added storage of user configuration and highscore table
  * Added optional fps counter
  * nostrip in a cross-buildable way

 -- Andrzej Urbaniak <au742582@interia.pl>  Thu, 09 Oct 2025 16:41:06 +0200
