=== debian/control ===
Source: vonsh
Section: games
Priority: optional
Maintainer: Andrzej Urbaniak <au742582@interia.pl>
Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-ttf-dev, libcjson-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/aurb/vonsh/
Vcs-Git: https://github.com/aurb/vonsh.git
Vcs-Browser: https://github.com/aurb/vonsh

Package: vonsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: snake-like game without any special twists and turns
 Lead your men, gather food, and avoid obstacles.
 The game features an arcade style and dynamic gameplay.
