=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/aurb/vonsh.git \
refs/tags/v(\d+\.\d+)
